Subject: Madison Park Essentials Queen Comforter...
From: [email-masked]
To: [email-masked]
Date: Thu, 26 Dec 2024 10:13:21 -0500

Hello, 
I purchased a queen bed set in Oct. and I know my return window has closed but I am hoping you can help me. I washed all of the set except for the bed skirt when I got it for my guest bedroom. We are having holiday visitors and just now tried to put the bed skirt on only to find that it is a twin size bed skirt that doesn’t fit the queen bed. All of the other items are the correct size. Is there any way you could send me the correct bedskirt? It would be much appreciated if I could have the complete set I purchased. 
Thank you, 
Tamara Hathaway

Amazon 111-8400824-5826666
A